{
  "description": "HPAScalingRules configures the scaling behavior for one direction. These Rules are applied after calculating DesiredReplicas from metrics for the HPA. They can limit the scaling velocity by specifying scaling policies. They can prevent flapping by specifying the stabilization window, so that the number of replicas is not set instantly, instead, the safest value from the stabilization window is chosen.",
  "properties": {
    "policies": {
      "description": "policies is a list of potential scaling polices which can be used during scaling. At least one policy must be specified, otherwise the HPAScalingRules will be discarded as invalid",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.autoscaling.v2.HPAScalingPolicy"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-list-type": "atomic"
    },
    "selectPolicy": {
      "description": "selectPolicy is used to specify which policy should be used. If not set, the default value Max is used.",
      "type": [
        "string",
        "null"
      ]
    },
    "stabilizationWindowSeconds": {
      "description": "stabilizationWindowSeconds is the number of seconds for which past recommendations should be considered while scaling up or scaling down. StabilizationWindowSeconds must be greater than or equal to zero and less than or equal to 3600 (one hour). If not set, use the default values: - For scale up: 0 (i.e. no stabilization is done). - For scale down: 300 (i.e. the stabilization window is 300 seconds long).",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/hpascalingrules/autoscaling/v2"
}